UnionDocument (xmlbeans API)

org.apache.xmlbeans.impl.xb.xsdschema

## Interface UnionDocument

- All Superinterfaces:
    XmlObject, XmlTokenSource
  All Known Implementing Classes:
    UnionDocumentImpl

      public interface UnionDocument
      extends XmlObject

  A document containing one union(@http://www.w3.org/2001/XMLSchema) element. This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `UnionDocument.Union` An XML union(@http://www.w3.org/2001/XMLSchema).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<UnionDocument>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `UnionDocument.Union` | `addNewUnion()` Appends and returns a new empty "union" element
    `UnionDocument.Union` | `getUnion()` Gets the "union" element
    `void` | `setUnion(UnionDocument.Union union)` Sets the "union" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<UnionDocument> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getUnion

          UnionDocument.Union getUnion()

      Gets the "union" element

    - #### setUnion

          void setUnion(UnionDocument.Union union)

      Sets the "union" element

    - #### addNewUnion

          UnionDocument.Union addNewUnion()

      Appends and returns a new empty "union" element